@charset "utf-8";
/* CSS Document */
body {
    background-color: #343541;
    margin: 0;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", sans-serif;
}

/* Sidebar */
.sidebar {
    background-color: #202123;
    min-height: 100%;
	height:auto;
}

.chat-item {
    color: #d1d5db;
    padding: 5px;
    border-radius: 6px;
    cursor: pointer;
    margin-bottom: 2px;
}

.chat-item:hover {
    background-color: #343541;
}

/* Chat Area */
.chat-area {
    background-color: #343541;
}

/* Messages */
.chat-messages {
    overflow-y: auto;
}

.message {
    max-width: 60%;
    padding: 12px 15px;
    border-radius: 10px;
    margin-bottom: 15px;
    line-height: 1.5;
    font-size: 15px;
}

.message.user {
    background-color: #E4E4E4;
    color: #000;
    margin-left: auto;
}

.message.assistant {
    background-color: #444654;
    color: #e5e7eb;
    margin-right: auto;
}

/* Input */
.chat-input {
    background-color: #40414f;
    border-top: 1px solid #555;
}

.chat-input input {
    background-color: #343541;
    border: none;
    color: #fff;
}

.chat-input input::placeholder {
    color: #9ca3af;
}

.chat-input input:focus {
    box-shadow: none;
    background-color: #343541;
    color: #fff;
}


